Take the 2-minute tour ×
WordPress Development Stack Exchange is a question and answer site for WordPress developers and administrators. It's 100% free, no registration required.

I am a first time user and about to build a website with wordpress and depending on guides for version 3.0. Should I install version 3.04 or 3.5?

share|improve this question
    
Update. 3.5 there are no errors and is very smooth. New media and the gallery is amazing. –  Szuta Jan 18 '13 at 13:31
add comment

3 Answers

Always install the latest final version. This is the most secure version you can get.

Older tutorials and guides should still mostly apply. If they don’t you will find enough replacements that are up to date.

share|improve this answer
1  
+1. Not only has security improved (and WordPress is a target, so you want the latest security patches!) but the API has improved so customising through themes and plugins is easier with newer versions. –  webaware Jan 18 '13 at 9:47
1  
By using 3.0.4 you're also putting yourself in a precarious position, as newer tutorials will rely on APIs and functions that were added at a later date, and plugins will break because they rely on those newer features/abilities –  Tom J Nowell Jan 18 '13 at 13:06
add comment

Note: there is no Version "3.04". There is a Version "3.0.4", though.

The important thing to understand with WordPress version numbers is that, unlike many software applications, the latest major version is not Version X, but rather, Version X.Y. So, in WordPress, Version X.0 is no more important, stable, or secure than Version X.1 (and in fact, generally the opposite is true: Version X.1 is more stable, secure, and feature-full than Version X.0). Here is a list of all past major versions of WordPress.

In between major releases, WordPress releases bugfix updates, as Version X.Y.Z. Here is a list of all WordPress releases, both major releases and bugfix updates. You can differentiate the major releases as "point-zero" releases, and also because they are the ones that have a jazz musician "code name".

Looking at that list, you can see that, not only is Version 3.0.4 not part of the latest major release, but also, Version 3.0.4 isn't even the latest bugfix release of the WordPress 3.0 series. So, I would definitely recommend against arbitrarily choosing it for a first-time WordPress install.

As Toscho said in his answer: it is, generally speaking, always best to choose the latest WordPress release.

share|improve this answer
add comment

It's always better to use the latest and updated version.

you can find the list of features for version 3.5 here.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.